Subject: bug#16668: 24.3; Feature Request: Face to indicate lines displayed in window that are not part of the buffer.

From: Tim Visher <[email-masked]>
Date: Mon, 10 Feb 2014 12:07:41 -0500

On Thu, Feb 6, 2014 at 10:40 AM, Eli Zaretskii <[email-masked]> wrote:
>> From: Tim Visher <[email-masked]>
>> Date: Thu, 6 Feb 2014 09:33:15 -0500
>>
>> I'd like some visual indication of where the contents of the buffer
>> ends. I've always thought it would be nice to have a different color
>> for the space beneath the buffer in the window.
>>
>> So if I have a buffer with
>>
>> ```
>> this is the last line of text in the file
>>
>>
>> ``` note the 2 blank lines at the bottom of the file
>>
>> displayed in a window that looks like
>>
>> ```
>> snth
>> satoe
>> this is the last line of text in the file
>>
>>
>>
>>
>> ``` Note the 2 extra blank lines
>>
>> I'd like:
>>
>> ```
>> Normal Faces
>> Normal Faces
>> Normal Faces
>> Normal Faces
>> Normal Faces
>> Face indicating not part of buffer
>> Face indicating not part of buffer
>> ```
>>
>> Or something similar.
>
> A great introductory exercise for anyone who would like to gain
> experience in hacking the Emacs display engine.  Volunteers are most
> welcome.

Sounds intriguing. Could you perhaps point me to a couple places to
start? I wouldn't mind gaining said experience. :)